org.wildfly.swarm.config.undertow.configuration

## Class ExpressionFilter<T extends ExpressionFilter<T>>

- java.lang.Object
- - org.wildfly.swarm.config.undertow.configuration.ExpressionFilter<T>

-     public class ExpressionFilter<T extends ExpressionFilter<T>>
      extends Object

  A filter parsed from the undertow expression language

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExpressionFilter(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `expression()` The expression that defines the filter
    `T` | `expression(String value)` The expression that defines the filter
    `String` | `getKey()`
    `String` | `module()` Module to use to load the filter definitions
    `T` | `module(String value)` Module to use to load the filter definitions
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExpressionFilter

          public ExpressionFilter(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### expression

          public String expression()

      The expression that defines the filter

    - #### expression

          public T expression(String value)

      The expression that defines the filter

    - #### module

          public String module()

      Module to use to load the filter definitions

    - #### module

          public T module(String value)

      Module to use to load the filter definitions

Copyright © 2018 JBoss by Red Hat. All rights reserved.